


/* UNIVARIATE ESTIMATION */

arima unz0,		arima(1,0,0) noconst
arima unz1, 	arima(1,0,0) noconst
arima z2, 		arima(1,0,0) noconst

arima unz0d,	arima(1,0,0) noconst
arima unz1d, 	arima(1,0,0) noconst
arima z2d, 		arima(1,0,0) noconst

arima unz0dg,	arima(1,0,0) noconst
arima unz1dg, 	arima(1,0,0) noconst
arima z2dg, 	arima(1,0,0) noconst


/* BIVARIATE ESTIMATION */

	/* no durables no government */

	varsoc unz1 z2, maxlag(10) noconst

	var    unz1 z2, lag(1) noconst 
	irf cre order1, step(50) set(myirf1,replace)  
	irf graph oirf, irf(order1) impulse(unz1 z2) response(unz1 z2)

	vargranger
	

	/* with durables, no government */

	varsoc unz1d z2d, maxlag(10) noconst

	var    unz1d z2d, lag(1) noconst 


	/* with durables and government */

	varsoc unz1dg z2dg, maxlag(10) noconst

	var    unz1dg z2dg, lag(1) noconst 



/* BIVARIATE CONSTRAINED ESTIMATION */ 
/* Baseline */
	constraint define 1 [unz1]L.z2 = 0
	var unz1 z2, lags(1) nocons constraint(1)


/* with Durables */
	constraint define 1 [unz1d]L.z2d = 0
	var unz1d z2d, lags(1) nocons constraint(1)


/* with Durables and Government */
	constraint define 1 [unz1dg]L.z2dg = 0
	var unz1dg z2dg, lags(1) nocons constraint(1)


/* CE/GNP */
	constraint define 1 [unz1ul]L.z2ul = 0
	var unz1ul z2ul, lags(1) nocons constraint(1)



